# PFRegisterAll

Registers all of the preconditioners in the PF package.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode PETSCVEC_DLLEXPORT PFRegisterAll(const char path[])

Not Collective

### Input Parameter

path -the library where the routines are to be found (optional)

### Keywords

PF, register, all

### See Also

PFRegisterDynamic(), PFRegisterDestroy()

Level:advanced
Location: src/vec/pf/interface/pfall.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages